- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# QTtexture.cpp File Reference

`#include <Carbon/Carbon.h>`
`#include <QuickTime/ImageCompression.h>`
`#include <QuickTime/QuickTimeComponents.h>`
`#include <OpenGL/gl.h>`
`#include <OpenGL/glu.h>`
`#include <OpenGL/glext.h>`
`#include "QTtexture.h"`

Include dependency graph for QTtexture.cpp:

## Defines
#define | NO_SCALING
## Enumerations
enum | { kNone = 1, kNearest, kNearestLess, KNearestGreater, k32, k64, k128, k256, k512, k1024, k2048, k4096, k8192 }
## Functions
char * | QTfailureMessage (void)
FSSpec * | darwinPathToFSSpec (char *fname)
unsigned char * | LoadBufferFromDarwinPath (const char *fname, long *origWidth, long *origHeight, long *origDepth, long *buffWidth, long *buffHeight, long *buffDepth)
## Variables
short | gTextureScale = k1024
short | gMaxTextureSize = 4096
Boolean | gfTileTextures = true
Boolean | gfOverlapTextures = true
Boolean | gfClientTextures = false
Boolean | gfAGPTextures = false
Boolean | gfNPOTTextures = false

## Define Documentation

#define NO_SCALING

## Enumeration Type Documentation

anonymous enum

  | Enumerator:
  kNone |
  kNearest |
  kNearestLess |
  KNearestGreater |
  k32 |
  k64 |
  k128 |
  k256 |
  k512 |
  k1024 |
  k2048 |
  k4096 |
  k8192 |

## Function Documentation

FSSpec* darwinPathToFSSpec | ( | char * | fname | ) |

unsigned char* LoadBufferFromDarwinPath | ( | const char * | fname,
|  | long * | origWidth,
|  | long * | origHeight,
|  | long * | origDepth,
|  | long * | buffWidth,
|  | long * | buffHeight,
|  | long * | buffDepth
| ) |

char* QTfailureMessage | ( | void |  | ) |

## Variable Documentation

Boolean gfAGPTextures = false

Boolean gfClientTextures = false

Boolean gfNPOTTextures = false

Boolean gfOverlapTextures = true

Boolean gfTileTextures = true

short gMaxTextureSize = 4096

short gTextureScale = k1024